<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: SDLTest_TestSuiteReference Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SDLTest_TestSuiteReference Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_s_d_l__test__harness_8h_source.html">SDL_test_harness.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8b002d932f91b321b384e59ae17f8f39"><td class="memItemLeft" align="right" valign="top"><a id="a8b002d932f91b321b384e59ae17f8f39"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>name</b></td></tr>
<tr class="separator:a8b002d932f91b321b384e59ae17f8f39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aa788b982efb93c93c2ab01202e0007"><td class="memItemLeft" align="right" valign="top"><a id="a8aa788b982efb93c93c2ab01202e0007"></a>
SDLTest_TestCaseSetUpFp&#160;</td><td class="memItemRight" valign="bottom"><b>testSetUp</b></td></tr>
<tr class="separator:a8aa788b982efb93c93c2ab01202e0007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06d97ce5bcf9ceb1300cc4aa39c028d3"><td class="memItemLeft" align="right" valign="top"><a id="a06d97ce5bcf9ceb1300cc4aa39c028d3"></a>
const <a class="el" href="struct_s_d_l_test___test_case_reference.html">SDLTest_TestCaseReference</a> **&#160;</td><td class="memItemRight" valign="bottom"><b>testCases</b></td></tr>
<tr class="separator:a06d97ce5bcf9ceb1300cc4aa39c028d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad66abaf20653fd7361d28c69f88ac702"><td class="memItemLeft" align="right" valign="top"><a id="ad66abaf20653fd7361d28c69f88ac702"></a>
SDLTest_TestCaseTearDownFp&#160;</td><td class="memItemRight" valign="bottom"><b>testTearDown</b></td></tr>
<tr class="separator:ad66abaf20653fd7361d28c69f88ac702"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Holds information about a test suite (multiple test cases). </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/SDL/<a class="el" href="_s_d_l__test__harness_8h_source.html">SDL_test_harness.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
